2022-07-03 10:59 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002416HistoryLine[All Projects] Generalpublic2011-03-26 18:36
ReporterStellan 
Assigned ToWeplProject InfoHistory Line 1914-1918 (Blue Byte)
http://www.whdload.de/games/HistoryLine.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Summary0002416: After the last level 24-"STERN" (german) I get an exception (always the same).
DescriptionGameVersion: pre-install
SlaveVersion: Version 1.4 (05.03.2008) (latest available)

After the last level 24-"STERN" (german) I get an exception (always the same). Seems extro doesn`t work or the jump to enter highscore screen.
************************* 12-Mär-11 19:04:00 ************************17.0.4846***
Slave='HistorylineDe.Slave' (18032 bytes)
ShadowMem  1A62310 -  1AA8310 ( 286720) AbsolutMem    46000 -    70000 ( 172032)
Resload    2EFF000 -  2F06250 (  29264) at 2EFF000  GL=$2FC9000
Slave      2FD2000 -  2FD664C (  17996) at 2FD2000  BaseMemSize=$70000
ExpMem     2F08000 -  2FC8000 ( 786432) at 2F08000
attn=7F(40,82) fc=-1 kn=11032 cs=70F6 rw=0 zpt=-1 ep=0 ei=0
setcpu=3B3D(SS,BC,SB,DC,IC,SCB,ECB,BNC) DbgAdr=2F50F78
Exception "Line 1111 Emulator" ($2C) at $2F796D6 (DbgAdr $2875E) occured.
$02f7969e ori.b        #??$4e,d0
$02f796a2 ori.b        #??$54,d0
$02f796a6 ori.b        #??$56,d0
$02f796aa ori.b        #??$5c,d0
$02f796ae ori.b        #??$5e,d0
$02f796b2 ori.b        #??$64,d0
$02f796b6 ori.b        #??$66,d0
$02f796ba ori.b        #??$6c,d0
$02f796be ori.b        #??$6e,d0
$02f796c2 ori.b        #??$74,d0
$02f796c6 ori.b        #??$76,d0
$02f796ca ori.b        #??$7c,d0
$02f796ce ori.b        #??$7e,d0
$02f796d2 ori.b        #??$ff,d0
$02f796d6 line-f       $fffe
$02f796d8 btst         d0,(a1)                        ;$02f50f78
$02f796da btst         d4,(a5)                        ;$02f50f78
$02f796dc btst         d2,(a1)+                       ;$02f50f78
$02f796de btst         d6,(a5)+                       ;$02f50f78
$02f796e0 line-f       $ffff
$02f796e2 dc.w         $7fff
$02f796e4 dc.w         $3fff
$02f796e6 dc.w         $1fff
$02f796e8 dc.w         $0fff
$02f796ea dc.w         $07ff
$02f796ec dc.w         $03ff
$02f796ee dc.w         $01ff
$02f796f0 dc.w         $00ff
$02f796f2 dc.w         $007f
exception stackframe:
$02FC7FF8 001802F7 96D6002C
regular stack:
$02F50560 02FD3118 02F3C92E 00000FA0 02F4D850 00BD22E3 00000001 02F485E4 00BD4168
$02F50580 00000000 00000000 00000000 00000000 00000000 00000000 00BD3A9E 00000000
$02F505A0 00000000 02F4EA84 FFFFFFFE 02F485E4 00BD221A 00000000 02FD7118 00000002
$02F505C0 5748444C 6F616400 00000000 00000000 00000000 00000000 00000000 00000000
$02F505E0 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
  ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
Dx    2FEFF   2F484D2      5B50       FA8   2FD3074        3E    BD3D7D     2FEBC
Ax  2FD2FFC   2F50F78   2F7956C   2FD3076   2FD2FFC   2F50F78   2F48276
                 TTSM III   XNZVC
PC= 2F796D6  SR %0000000000011000  USP=2F50560  ISP=2FC7FF8  MSP=6F800
VBR=2FCA000  SFC=5  DFC=5  CACR=80008000  
TC=8000  URP=02FDA000  SRP=02FDA000  MMUSR=00000000
DTT0=00000000  DTT1=00000000  ITT0=00000000  ITT1=00000000
         MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
intena=%0110000001101100 dmacon=%0000001111110000 adkcon=$1100
intreq=%0000000000000000
vposr....A300  vhposr...0287  joy0dat..0002  joy1dat..FC10  clxdat...81FF  
pot0dat..9300  pot1dat..0000  potinp...5500  serdatr..3800  dskbytr..A000  
deniseid.00F8  hhposr...FF3C  
   ciaa:     PI ROPS     ciab:     PI ROPS
 cra=00000000  ta=21FF<21FF    cra=00000000  ta=FFFF<FFFF
     AII ROPS       AII ROPS
 crb=00001000  tb=C87E<FFFF    crb=10000000  tb=FFFF<FFFF
     10RTWCLO   parallel     DRCCDSOY      M3210HDS
 pra=11111100  prb=10011001      pra=11111111  prb=11111111
       ddra=00000011 ddrb=00000000     ddra=11000000 ddrb=11111111
       event=00C2AB  icr=00  sdr=00    event=00013A  icr=04  sdr=00
TagsNo tags attached.
MachineA1200
CPU68040
CPUSpeed40
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem32 MB
WorkbenchOS 3.1
KickROM40 - Kick 3.1
KickSoftSelfmade
WHDLoad17.0beta
importedyes
Attached Files

-Relationships
+Relationships

-Notes

note ~0002214

Wepl (manager)

I tought that has been fixed. Can you please attach a savegame short before, to check?

note ~0002219

Stellan (reporter)

Yes, I read that in the readme and thought I`ve an old slave but I had the newest. However, savegame HL_savegame_end.lha added.

note ~0002220

Stellan (reporter)

BTW. I don`t know if it is a bug or feature. When loading a savegame the sound (movement and music) is always active. On BattleIsle the settings for sound is saved with a savegame.

note ~0002221

Wepl (manager)

please try attached slave
highscore entry for the last map is not possible it seems, but I assume that was also in the original game the case

note ~0002222

Stellan (reporter)

The extro works fine now. Thanks for fixing. :)

note ~0002228

Stellan (reporter)

This issue can be closed.

note ~0002230

Wepl (manager)

updated install package has been released
+Notes

-Issue History
Date Modified Username Field Change
2011-03-13 13:23 administrator New Issue
2011-03-13 13:23 administrator Status new => assigned
2011-03-13 13:23 administrator Assigned To => Wepl
2011-03-13 13:27 Wepl Note Added: 0002214
2011-03-13 18:26 Stellan File Added: HL_savegame_end.lha
2011-03-13 18:28 Stellan Note Added: 0002219
2011-03-13 18:33 Stellan Note Added: 0002220
2011-03-13 23:03 Wepl File Added: HistoryLine.Slave
2011-03-13 23:05 Wepl Note Added: 0002221
2011-03-14 11:04 Stellan Note Added: 0002222
2011-03-23 14:48 Stellan Note Added: 0002228
2011-03-26 18:36 Wepl Note Added: 0002230
2011-03-26 18:36 Wepl Status assigned => closed
2011-03-26 18:36 Wepl Resolution open => fixed
+Issue History